Bug Hunting Session
Bug 98395 - Remote File dialog showing wrong details in columns
Summary: Remote File dialog showing wrong details in columns
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:5.1.2 target:5.2.0
Keywords:
Depends on:
Blocks: CMIS
  Show dependency treegraph
 
Reported: 2016-03-03 21:38 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (39.61 KB, image/png)
2016-03-03 21:38 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-03-03 21:38:25 UTC
Created attachment 123213 [details]
screenshot

Steps:
1) Open Remote File dialog
2) Log into Google Drive
3) Notice that the Size column is showing Type details and the Date Modified column is showing size details.

Regression as release notes show this image -https://wiki.documentfoundation.org/File:RemoteFilesDialog.png

Version: 5.1.1.1 (x64)
Build ID: c43cb650e9c145b181321ea547d38296db70f36e
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
Locale: en-US (en_US)
Comment 1 Szymon Kłos 2016-03-04 13:31:09 UTC
I can confirm, but problem exists only with first execution - when file registrymodifications.xcu doesn't exist.

Version: 5.1.2.0.0+
Build ID: bba00901f55bfd4fa476667baaf2b2e7e1f58762
CPU Threads: 4; OS Version: Linux 4.1; UI Render: default; 
Locale: pl-PL (pl_PL.UTF-8)
Comment 2 Yousuf Philips (jay) (retired) 2016-03-04 13:54:35 UTC
Yes you are right, it works fine after restarting. :D
Comment 3 Commit Notification 2016-03-09 10:08:28 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=235bed86a689b6b64ba2b407ad324ca366121ea0&h=libreoffice-5-1

tdf#98395 : Remote File dialog showing wrong details in columns

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-04-13 06:41:23 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0e8f9ff2d59f5c1617f4c45ac457ec16a41cee5

tdf#98395 : Remote File dialog showing wrong details in columns

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.